## com.saxonica.codegen
Class JavaAssignment

    java.lang.Object
      com.saxonica.codegen.JavaAssignment

All Implemented Interfaces:
  ReturnAction

    public class JavaAssignment

extends Object
implements ReturnAction

A return action that assigns the value of the expression to a variable supplied by the caller

Constructor Summary
`JavaAssignment(Class theClass, String variableName)`

Method Summary
`String` `getVariableName()` Get the name of the variable holding the result
`String` `output(CompilerService compiler, String expression)` Generate the return text

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaAssignment

    public JavaAssignment(Class theClass,
                          String variableName)

Method Detail

### output

    public String output(CompilerService compiler,
                         String expression)

  Generate the return text

  Specified by:
    `output` in interface `ReturnAction`

### getVariableName

    public String getVariableName()

  Get the name of the variable holding the result

  Specified by:
    `getVariableName` in interface `ReturnAction`

Copyright (C) Michael H. Kay. All rights reserved.